%global momorel 1
%global md5sum_src0 a58bb825bd4b22412764f2a8d2f98b1c

%define         majorminor      0.10

%define         _gst            0.10.5
%define         _gstpb          0.10.6

Name: 		gst-plugins-good
Version: 	0.10.3
Release:  	%{momorel}m
Summary: 	GStreamer plug-ins with good code and licensing

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.freedesktop.org/
%NoSource 0 http://gstreamer.freedesktop.org/src/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires: 	gstreamer010 >= %{_gst}
Requires(post): GConf

BuildRequires: 	gstreamer010-devel >= %{_gst}
BuildRequires: 	gst-plugins-base-devel >= %{_gstpb}

BuildRequires:	liboil-devel >= 0.3.6
BuildRequires:  gettext
BuildRequires:  gcc-c++

BuildRequires:  cairo-devel
# cairo pulls in Xrender, but -devel has a missing dep on libX11-devel
BuildRequires:  libX11-devel
BuildRequires:  esound-devel >= 0.2.8
BuildRequires:  flac-devel >= 1.0.3
BuildRequires: 	GConf-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel >= 1.2.0
BuildRequires:  mikmod
BuildRequires:  glibc-devel
BuildRequires:	speex-devel

%ifnarch s390 s390x
BuildRequires:  libdv-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libavc1394-devel
%endif

# documentation
BuildRequires:  gtk-doc
BuildRequires:  PyXML

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.

%package devel
Summary:        Documentation for GStreamer Good Plug-ins
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}

%description devel
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.

This package contains documentation for the GStreamer Good Plug-ins.

%prep
%setup -q -n gst-plugins-good-%{version}
%build
%configure \
    --enable-gtk-doc \
    --disable-schemas-install
%make
                                                                                
%install
rm -rf --preserve-root %{buildroot}
%makeinstall

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstefence.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoflip.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so

# gstreamer-plugins with external dependencies but in the main package
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstesd.so
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
%{_libdir}/gstreamer-%{majorminor}/libgstgconfelements.so

%{_libdir}/gstreamer-%{majorminor}/libgstannodex.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{majorminor}/libgsthalelements.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobalance.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so

%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so

%ifnarch s390 s390x
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
%endif

# locale
%{_datadir}/locale/*/*/*

# schema files
%{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas

# documents
%doc %{_datadir}/gtk-doc/html/gst-plugins-good-plugins-%{majorminor}

# static/libtools libraries
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.*a
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.*a
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.*a
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.*a
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.*a
%{_libdir}/gstreamer-%{majorminor}/libgstavi.*a
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.*a
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.*a
%{_libdir}/gstreamer-%{majorminor}/libgstefence.*a
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.*a
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.*a
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.*a
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.*a
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.*a
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.*a
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.*a
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.*a
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.*a
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.*a
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.*a
%{_libdir}/gstreamer-%{majorminor}/libgstudp.*a
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.*a
%{_libdir}/gstreamer-%{majorminor}/libgstvideoflip.*a
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.*a
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.*a
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.*a
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.*a

%{_libdir}/gstreamer-%{majorminor}/libgstcairo.*a
%{_libdir}/gstreamer-%{majorminor}/libgstesd.*a
%{_libdir}/gstreamer-%{majorminor}/libgstflac.*a
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.*a
%{_libdir}/gstreamer-%{majorminor}/libgstpng.*a
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.*a
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.*a
%{_libdir}/gstreamer-%{majorminor}/libgstgconfelements.*a

%{_libdir}/gstreamer-%{majorminor}/libgstannodex.*a
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.*a
%{_libdir}/gstreamer-%{majorminor}/libgsthalelements.*a
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.*a
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.*a
%{_libdir}/gstreamer-%{majorminor}/libgstvideobalance.*a
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.*a

%{_libdir}/gstreamer-%{majorminor}/libgstapetag.*a
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.*a

%ifnarch s390 s390x
%{_libdir}/gstreamer-%{majorminor}/libgstdv.*a
%{_libdir}/gstreamer-%{majorminor}/libgst1394.*a
%endif


%changelog
* Sat May  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.3-1m)
- update to 0.10.3

* Sun Feb 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- import from FC
- delete devel package

* Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 0.10.2-1
- Update to 0.10.2

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.10.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com>  0.10.1-1
- Upgrade to 0.10.1
- Add libgstid3demux.so to the files section

* Wed Jan 04 2006 Warren Togami <wtogami@redhat.com>  0.10.0-2
- exclude 1394 stuff from s390 and s390x

* Sat Dec 17 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-1
- rebuilt for FC devel

* Wed Dec 14 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.2
- glib 2.8
- added cairo

* Mon Dec 05 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.1
- new release

* Thu Dec 01 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.7-0.gst.1
- new release for major/minor 0.10
- removed pango
- removed videofilter
- added cutter, multipart

* Sat Nov 12 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.5-0.gst.1
- new release

* Mon Oct 24 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.4-0.gst.1
- new release
- added alphacolor, debug, flxdec, matroska, navigationtest, videomixer
  plug-ins

* Mon Oct 03 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.3-0.gst.1
- new release
- fdsrc moved back to core
- added auparse and efence plugins
- added gtk-doc

* Fri Sep 09 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial package

* Fri Sep 02 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- clean up for splitup
